Bug 137384 - [EFL] Fix build break since r174231 and r174256
Summary: [EFL] Fix build break since r174231 and r174256
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Gyuyoung Kim
URL:
Keywords:
Depends on:
Blocks: 137164 137443
  Show dependency treegraph
 
Reported: 2014-10-03 00:46 PDT by Gyuyoung Kim
Modified: 2014-10-21 07:41 PDT (History)
1 user (show)

See Also:


Attachments
Patch (10.53 KB, patch)
2014-10-03 00:50 PDT, Gyuyoung Kim
no flags Details | Formatted Diff | Diff
Patch (9.94 KB, patch)
2014-10-03 00:55 PDT, Gyuyoung Kim
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gyuyoung Kim 2014-10-03 00:46:01 PDT
SSIA.
Comment 1 Gyuyoung Kim 2014-10-03 00:50:50 PDT
Created attachment 239187 [details]
Patch
Comment 2 Gyuyoung Kim 2014-10-03 00:51:44 PDT
To restore EFL buildbot and ews, I land this patch now. If there is any problems, please let me know.
Comment 3 Gyuyoung Kim 2014-10-03 00:55:06 PDT
Created attachment 239188 [details]
Patch
Comment 4 Gyuyoung Kim 2014-10-03 01:01:04 PDT
Committed r174261: <http://trac.webkit.org/changeset/174261>
Comment 5 Csaba Osztrogonác 2014-10-03 02:01:19 PDT
(In reply to comment #4)
> Committed r174261: <http://trac.webkit.org/changeset/174261>

It fixed the build, but since then all tests crash.
Comment 6 Gyuyoung Kim 2014-10-03 02:15:05 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > Committed r174261: <http://trac.webkit.org/changeset/174261>
> 
> It fixed the build, but since then all tests crash.

Ah, I see. Let me try to fix it too.
Comment 7 Gyuyoung Kim 2014-10-05 17:57:27 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > Committed r174261: <http://trac.webkit.org/changeset/174261>
> > 
> > It fixed the build, but since then all tests crash.
> 
> Ah, I see. Let me try to fix it too.

EFL MiniBrowser is being dead with below backtrace ! I'm struggle with the backtrace.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fff9d7d6700 (LWP 17761)]
0x00007ffff5f107f5 in WebKit::CoordinatedLayerTreeHost::didFlushRootLayer(WebCore::FloatRect const&) () from /home/gyuyoung/webkit/WebKit/WebKitBuild/Release/lib/libewebkit2.so.1
(gdb) bt
#0  0x00007ffff5f107f5 in WebKit::CoordinatedLayerTreeHost::didFlushRootLayer(WebCore::FloatRect const&) () from /home/gyuyoung/webkit/WebKit/WebKitBuild/Release/lib/libewebkit2.so.1
#1  0x00007ffff6c18883 in WebCore::CompositingCoordinator::flushPendingLayerChanges() () from /home/gyuyoung/webkit/WebKit/WebKitBuild/Release/lib/libewebkit2.so.1
#2  0x00007ffff5f0faf9 in WebKit::CoordinatedDrawingArea::sendDidUpdateBackingStoreState() () from /home/gyuyoung/webkit/WebKit/WebKitBuild/Release/lib/libewebkit2.so.1
#3  0x00007ffff5f0fea4 in WebKit::CoordinatedDrawingArea::updateBackingStoreState(unsigned long, bool, float, WebCore::IntSize const&, WebCore::IntSize const&) ()
   from /home/gyuyoung/webkit/WebKit/WebKitBuild/Release/lib/libewebkit2.so.1
#4  0x00007ffff5f39f48 in void IPC::handleMessage<Messages::DrawingArea::UpdateBackingStoreState, WebKit::DrawingArea, void (WebKit::DrawingArea::*)(unsigned long, bool, float, WebCore::IntSize const&, WebCore::IntSize const&)>(IPC::MessageDecoder&, WebKit::DrawingArea*, void (WebKit::DrawingArea::*)(unsigned long, bool, float, WebCore::IntSize const&, WebCore::IntSize const&)) ()
   from /home/gyuyoung/webkit/WebKit/WebKitBuild/Release/lib/libewebkit2.so.1
#5  0x00007ffff5f39fe7 in WebKit::DrawingArea::didReceiveMessage(IPC::Connection*, IPC::MessageDecoder&) () from /home/gyuyoung/webkit/WebKit/WebKitBuild/Release/lib/libewebkit2.so.1
#6  0x00007ffff5d11800 in IPC::MessageReceiverMap::dispatchMessage(IPC::Connection*, IPC::MessageDecoder&) () from /home/gyuyoung/webkit/WebKit/WebKitBuild/Release/lib/libewebkit2.so.1
#7  0x00007ffff5e1b33f in WebKit::WebProcess::didReceiveMessage(IPC::Connection*, IPC::MessageDecoder&) () from /home/gyuyoung/webkit/WebKit/WebKitBuild/Release/lib/libewebkit2.so.1
#8  0x00007ffff5d0c124 in IPC::Connection::dispatchMessage(std::unique_ptr<IPC::MessageDecoder, std::default_delete<IPC::MessageDecoder> >) ()
   from /home/gyuyoung/webkit/WebKit/WebKitBuild/Release/lib/libewebkit2.so.1
#9  0x00007ffff5d0c29c in IPC::Connection::dispatchOneMessage() () from /home/gyuyoung/webkit/WebKit/WebKitBuild/Release/lib/libewebkit2.so.1
#10 0x00007ffff74f9ed3 in WTF::RunLoop::performWork() () from /home/gyuyoung/webkit/WebKit/WebKitBuild/Release/lib/libewebkit2.so.1
#11 0x00007ffff7e1629f in _ecore_pipe_handler_call (p=p@entry=0x419790, buf=0x47fc40 "W\347\316\364\377\177", len=<optimized out>) at lib/ecore/ecore_pipe.c:599
#12 0x00007ffff7e16a2a in _ecore_pipe_read (data=0x419790, fd_handler=<optimized out>) at lib/ecore/ecore_pipe.c:725
#13 0x00007ffff7e15a31 in _ecore_call_fd_cb (fd_handler=0x416fa0, data=<optimized out>, func=<optimized out>) at lib/ecore/ecore_private.h:383
#14 _ecore_main_fd_handlers_call () at lib/ecore/ecore_main.c:1781
#15 _ecore_main_loop_iterate_internal (once_only=once_only@entry=0) at lib/ecore/ecore_main.c:2032
#16 0x00007ffff7e15c37 in ecore_main_loop_begin () at lib/ecore/ecore_main.c:1042
#17 0x00007ffff5f125f9 in int WebKit::ChildProcessMain<WebKit::WebProcess, WebKit::WebProcessMain>(int, char**) () from /home/gyuyoung/webkit/WebKit/WebKitBuild/Release/lib/libewebkit2.so.1
#18 0x00007ffff494ede5 in __libc_start_main (main=0x400760 <main>, argc=2, ubp_av=0x7fffffffdb98, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffdb88)
    at libc-start.c:260
#19 0x0000000000400793 in _start ()
(gdb)
Comment 8 Gyuyoung Kim 2014-10-05 23:03:16 PDT
This issue has still crash problem. Reopened.
Comment 9 Gyuyoung Kim 2014-10-06 00:58:55 PDT
I upload a fix to Bug 137443 instead of this bug. Closed.